package org.ldiasrs.ondegasto.view.vaadin.bill.layout;

import org.ldiasrs.ondegasto.view.vaadin.common.Messages;

import com.vaadin.annotations.AutoGenerated;
import com.vaadin.ui.AbsoluteLayout;
import com.vaadin.ui.CustomComponent;
import com.vaadin.ui.Label;
import com.vaadin.ui.TextField;

/**
 * Layout.
 * @author ld24078
 */
public class BalanceItemPanelLayout extends CustomComponent {

    private static final long serialVersionUID = -6520910751201171604L;
    @AutoGenerated
    private AbsoluteLayout mainLayout;
    @AutoGenerated
    private Label lbTitle;
    @AutoGenerated
    private TextField finalValue;
    @AutoGenerated
    private TextField partialValue;

    /**
     * The constructor should first build the main layout, set the composition
     * root and then do any custom initialization. The constructor will not be
     * automatically regenerated by the visual editor.
     */
    public BalanceItemPanelLayout() {
        buildMainLayout();
        setCompositionRoot(mainLayout);

        // TODO add user code here
    }

    @SuppressWarnings("deprecation")
    @AutoGenerated
    private AbsoluteLayout buildMainLayout() {
        // common part: create layout
        mainLayout = new AbsoluteLayout();
        mainLayout.setImmediate(false);
        mainLayout.setWidth("220px"); //$NON-NLS-1$
        mainLayout.setHeight("160px"); //$NON-NLS-1$
        mainLayout.setMargin(false);

        // top-level component properties
        setWidth("220px"); //$NON-NLS-1$
        setHeight("160px"); //$NON-NLS-1$

        // partialValue
        partialValue = new TextField();
        partialValue.setCaption(Messages.getString("BalanceItemPanelLayout.4")); //$NON-NLS-1$
        partialValue.setImmediate(false);
        partialValue.setWidth("-1px"); //$NON-NLS-1$
        partialValue.setHeight("-1px"); //$NON-NLS-1$
        partialValue.setSecret(false);
        mainLayout.addComponent(partialValue, "top:67.0px;left:40.0px;"); //$NON-NLS-1$

        // finalValue
        finalValue = new TextField();
        finalValue.setCaption(Messages.getString("BalanceItemPanelLayout.8")); //$NON-NLS-1$
        finalValue.setImmediate(false);
        finalValue.setWidth("-1px"); //$NON-NLS-1$
        finalValue.setHeight("-1px"); //$NON-NLS-1$
        finalValue.setSecret(false);
        mainLayout.addComponent(finalValue, "top:121.0px;left:40.0px;"); //$NON-NLS-1$

        // lbTitle
        lbTitle = new Label();
        lbTitle.setStyleName("v-label-item-panel"); //$NON-NLS-1$
        lbTitle.setImmediate(false);
        lbTitle.setWidth("-1px"); //$NON-NLS-1$
        lbTitle.setHeight("-1px"); //$NON-NLS-1$
        lbTitle.setValue(Messages.getString("BalanceItemPanelLayout.15")); //$NON-NLS-1$
        mainLayout.addComponent(lbTitle, "top:22.0px;left:20.0px;"); //$NON-NLS-1$

        return mainLayout;
    }

    public void setPartialValue(final String value) {
        partialValue.setValue(value);
    }

    public void setFinalValue(final String value) {
        finalValue.setValue(value);
    }

    public void setTitle(final String value) {
        lbTitle.setValue(value);
    }
}
